/**
 * Created by rockyl on 2018/11/5.
 */

let HASH_CODE_INK = 0;

function getHashCode() {
	return ++HASH_CODE_INK;
}

/**
 * 哈希对象
 */
export default class HashObject {
	_hashCode;
	
	constructor() {
		this._hashCode = getHashCode();
	}

	get hashCode() {
		return this._hashCode;
	}
}
